#!/bin/bash
echo -e "\033[31m开始部署  jdk-11.0.2\033[0m"
###下载JDK到opt目录
cd /opt/
wget http://8.210.81.239/linux/java/jdk-11.0.2_linux-x64_bin.tar.gz

###解压jdk
tar -vzxf /opt/jdk-11.0.2_linux-x64_bin.tar.gz
rm -f /opt/jdk-11.0.2_linux-x64_bin.tar.gz
mv jdk-11.0.2  jdk.11.0.2

###设置环境变量
java=`cat /etc/profile |grep JAVA_HOME |grep -v grep |wc -l `

if [ $java = 0 ];then
cat >>/etc/profile <<EOF
export JAVA_HOME=/opt/jdk.11.0.2
export JRE_HOME=/opt/jdk.11.0.2/jre
export PATH=\$PATH:/opt/jdk.11.0.2/bin
export CLASSPATH=./:/opt/jdk.11.0.2/lib:/opt/jdk.11.0.2/jre/lib
EOF
cat >>/etc/security/limits.conf <<EOF
* soft nofile 65535
* hard nofile 65535
EOF
ulimit -SHn 51200


source  /etc/profile
else
echo "Already have the jave environment"
fi
echo -e "\033[31m部署  java-11.0.2 完成\033[0m" 

